Subject: Re: [PATCH] tests: make all test files executable

From: Mark Rada <[email-masked]>
Date: Sun, 04 Oct 2009 21:25:27 -0400

On 09-10-04 9:40 AM, Jeff King wrote:
> On Sun, Oct 04, 2009 at 09:18:20AM -0400, Mark Rada wrote:
> 
>>> Ah, nevermind. The problem is that your patch was word-wrapped, making
>>> the second "diff --git" line bogus. It would have been nice to have it
>>> print a warning instead of silently ignoring that bit of the patch.
>>>
>> I didn't have format=flowed buggering things up this time, so I don't
>> quite understand the problem; could you please explain with more
>> details?
> 
> Sure. The patch is perfect except for one line. What should have been:
> 
> diff --git a/t/t9501-gitweb-standalone-http-status.sh b/t/t9501-gitweb-standalone-http-status.sh
> 
> was wrapped to:
> 
> diff --git a/t/t9501-gitweb-standalone-http-status.sh
> b/t/t9501-gitweb-standalone-http-status.sh
> 
> I have no idea how you did that, though. :)
> 
> It looks like you send with Thunderbird. How do you get the diff content
> into the email? Is it possible that it wraps the content after you have
> gotten it there?

I don't think so, I have plug-in that disables wrapping and has worked
just fine for the last couple of patches I sent, so I'm not sure what
was going on there.

>> When I try to apply the patch from a saved copy of the e-mail, I get
>> the following error:
>>
>> 	# git am ~/Downloads/\[PATCH\]\ tests_\ make\ all\ test\ files\
>> executable.eml
>> 	Patch format detection failed.
>> 	zsh: exit 1     git am
>>
>> The difference between the patch created by format-patch and the saved
>> e-mail is just some e-mail header information. Is that a different error
>> than what you were getting? I'm not sure what I'm doing wrong here, help
>> would be appreciated.
> 
> Yeah, that's totally different than the problem I was having. I save to
> an mbox from mutt, which "git am" understands just fine. I'd have to see
> what was in your .eml file to know why "git am" couldn't figure it out
> (and it might be a good test case, as "git am" has recently learned to
> accept more mailbox formats).

I've attached a copy of the .eml file.

-- 
Mark Rada (ferrous26)
[email-masked]
From:
Mark Rada <[email-masked]>
Date:
Thu, 01 Oct 2009 21:59:20 -0400
To:
Junio C Hamano <[email-masked]>
CC:
[email-masked]